/* KARUZELA */
.section-galeria {min-height:600px;}
.carousel-blok {
  display: flex;
  justify-content: center;
  margin-top: 150px;
  font-family: sans-serif;
}

.carousel {
  width: 100%;
  position: relative;
}

.carousel-window {
  overflow: hidden;
}

.carousel-track {
  display: flex;
  transition: transform 0.6s ease;
}

.slide {
  flex: 0 0 33.333%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.slide img {
  width: 70%;
  transition: transform 0.6s ease;
  transform: scale(0.8);
}

/* środkowe zdjęcie */
.slide.active img {
  transform: scale(1.2); /* +20% */
}



/* strzałki */
.arrow-k {
  position: absolute;
  top: 120px;
  transform: translateY(-50%);
  background: rgba(0,0,0,0.6);
  color: #fff;
  border: none;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  cursor: pointer;
  z-index: 4;
}

.arrow-k.left {
  left: -20px;
}

.arrow-k.right {
  right: -20px;
}

/* kropki */
.dots {
  display: flex;
  justify-content: center;
  margin-top: 15px;
  gap: 8px;
}

.dot {
  width: 8px;
  height: 8px;
  background: #ccc;
  border-radius: 50%;
}

.dot.active {
  background: #333;
}


/* STRZAŁKI */
.arrow {
    background: none;
    border: none;
    font-size: 30px;
    cursor: pointer;
}

/* LIGHTBOX */
#lightbox {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.85);
    justify-content: center;
    align-items: center;
	z-index:5;
}

#lightbox img {
    max-width: 90%;
    max-height: 90%;
}

.close, .prev, .next {
    position: absolute;
    color: white;
    font-size: 40px;
    cursor: pointer;
}

.close { top: 20px; right: 30px; }
.prev  { left: 20px; }
.next  { right: 20px; }
